org.apache.solr.common.params

## Enum CollectionParams.CollectionAction

- java.lang.Object
- - java.lang.Enum<CollectionParams.CollectionAction>
  - - org.apache.solr.common.params.CollectionParams.CollectionAction

- All Implemented Interfaces:
    Serializable, Comparable<CollectionParams.CollectionAction>
  Enclosing interface:
    CollectionParams

      public static enum CollectionParams.CollectionAction
      extends Enum<CollectionParams.CollectionAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDREPLICA`
    `ADDREPLICAPROP`
    `ADDROLE`
    `BACKUP`
    `BALANCESHARDUNIQUE`
    `CLUSTERPROP`
    `CLUSTERSTATUS`
    `CREATE`
    `CREATEALIAS`
    `CREATESHARD`
    `CREATESNAPSHOT`
    `DELETE`
    `DELETEALIAS`
    `DELETENODE`
    `DELETEREPLICA`
    `DELETEREPLICAPROP`
    `DELETESHARD`
    `DELETESNAPSHOT`
    `DELETESTATUS`
    `FORCELEADER`
    `LIST`
    `LISTSNAPSHOTS`
    `MIGRATE`
    `MIGRATESTATEFORMAT`
    `MOCK_COLL_TASK`
    `MOCK_REPLICA_TASK`
    `MOCK_SHARD_TASK`
    `MODIFYCOLLECTION`
    `OVERSEERSTATUS`
    `REBALANCELEADERS`
    `RELOAD`
    `REMOVEROLE`
    `REPLACENODE`
    `REQUESTSTATUS`
    `RESTORE`
    `SPLITSHARD`
    `SYNCSHARD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isWrite`
    `CollectionParams.LockLevel` | `lockLevel`
    `String` | `lowerName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollectionParams.CollectionAction` | `get(String p)`
    `boolean` | `isEqual(String s)`
    `String` | `toLower()`
    `static CollectionParams.CollectionAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CollectionParams.CollectionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final CollectionParams.CollectionAction CREATE

    - #### DELETE

          public static final CollectionParams.CollectionAction DELETE

    - #### RELOAD

          public static final CollectionParams.CollectionAction RELOAD

    - #### SYNCSHARD

          public static final CollectionParams.CollectionAction SYNCSHARD

    - #### CREATEALIAS

          public static final CollectionParams.CollectionAction CREATEALIAS

    - #### DELETEALIAS

          public static final CollectionParams.CollectionAction DELETEALIAS

    - #### SPLITSHARD

          public static final CollectionParams.CollectionAction SPLITSHARD

    - #### DELETESHARD

          public static final CollectionParams.CollectionAction DELETESHARD

    - #### CREATESHARD

          public static final CollectionParams.CollectionAction CREATESHARD

    - #### DELETEREPLICA

          public static final CollectionParams.CollectionAction DELETEREPLICA

    - #### FORCELEADER

          public static final CollectionParams.CollectionAction FORCELEADER

    - #### MIGRATE

          public static final CollectionParams.CollectionAction MIGRATE

    - #### ADDROLE

          public static final CollectionParams.CollectionAction ADDROLE

    - #### REMOVEROLE

          public static final CollectionParams.CollectionAction REMOVEROLE

    - #### CLUSTERPROP

          public static final CollectionParams.CollectionAction CLUSTERPROP

    - #### REQUESTSTATUS

          public static final CollectionParams.CollectionAction REQUESTSTATUS

    - #### DELETESTATUS

          public static final CollectionParams.CollectionAction DELETESTATUS

    - #### ADDREPLICA

          public static final CollectionParams.CollectionAction ADDREPLICA

    - #### OVERSEERSTATUS

          public static final CollectionParams.CollectionAction OVERSEERSTATUS

    - #### LIST

          public static final CollectionParams.CollectionAction LIST

    - #### CLUSTERSTATUS

          public static final CollectionParams.CollectionAction CLUSTERSTATUS

    - #### ADDREPLICAPROP

          public static final CollectionParams.CollectionAction ADDREPLICAPROP

    - #### DELETEREPLICAPROP

          public static final CollectionParams.CollectionAction DELETEREPLICAPROP

    - #### BALANCESHARDUNIQUE

          public static final CollectionParams.CollectionAction BALANCESHARDUNIQUE

    - #### REBALANCELEADERS

          public static final CollectionParams.CollectionAction REBALANCELEADERS

    - #### MODIFYCOLLECTION

          public static final CollectionParams.CollectionAction MODIFYCOLLECTION

    - #### MIGRATESTATEFORMAT

          public static final CollectionParams.CollectionAction MIGRATESTATEFORMAT

    - #### BACKUP

          public static final CollectionParams.CollectionAction BACKUP

    - #### RESTORE

          public static final CollectionParams.CollectionAction RESTORE

    - #### CREATESNAPSHOT

          public static final CollectionParams.CollectionAction CREATESNAPSHOT

    - #### DELETESNAPSHOT

          public static final CollectionParams.CollectionAction DELETESNAPSHOT

    - #### LISTSNAPSHOTS

          public static final CollectionParams.CollectionAction LISTSNAPSHOTS

    - #### MOCK_COLL_TASK

          public static final CollectionParams.CollectionAction MOCK_COLL_TASK

    - #### MOCK_SHARD_TASK

          public static final CollectionParams.CollectionAction MOCK_SHARD_TASK

    - #### REPLACENODE

          public static final CollectionParams.CollectionAction REPLACENODE

    - #### DELETENODE

          public static final CollectionParams.CollectionAction DELETENODE

    - #### MOCK_REPLICA_TASK

          public static final CollectionParams.CollectionAction MOCK_REPLICA_TASK

  - ### Field Detail

    - #### isWrite

          public final boolean isWrite

    - #### lowerName

          public final String lowerName

    - #### lockLevel

          public final CollectionParams.LockLevel lockLevel

  - ### Method Detail

    - #### values

          public static CollectionParams.CollectionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectionParams.CollectionAction c : CollectionParams.CollectionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollectionParams.CollectionAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static CollectionParams.CollectionAction get(String p)

    - #### isEqual

          public boolean isEqual(String s)

    - #### toLower

          public String toLower()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.